/*
 * AppController.j
 * AdvancedHelloWorld
 *
 * Created by You on December 8, 2011.
 * Copyright 2011, Your Company All rights reserved.
 */

@import <Foundation/CPObject.j>

@import "CPResponder+Cucapp.j"

@implementation AppController : CPObject
{
    /* this "outlet" is connected automatically by the Cib */
    CPWindow    theWindow;

    /* We create the outlets of the textfields here */
    @outlet CPTextField myTextField;
    @outlet CPTextField myLabel ;

    /* As you can see, the label is also a CPTextField, it's just not editable and not bordered.
       It is important you declare correctly the class names of the outlets, or Xcode, won't see them.
    */
}

- (void)awakeFromCib
{
    /* This is called when the cib is done loading.
       You can implement this method on any object instantiated from a Cib.
       It's a useful hook for setting up current UI values, and other things.
       In this case, we want the window from Cib to become our full browser window
    */
    [theWindow setFullPlatformWindow:YES];

    [myTextField setCucappIdentifier:@"myTextField"];
    [myLabel setCucappIdentifier:@"myLabel"];
}

- (IBAction)sayHello:(id)aSender
{
   /* We get the content of the textfield
      and we set it as the value of the label
   */
   [myLabel setStringValue:[myTextField stringValue]];
}

@end